//
//  BehaviorTableViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 10/23/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import UIKit

class BehaviorTableViewController: UITableViewController {

    @IBOutlet weak var defaultPostVisibilityLabel: UILabel!
    @IBOutlet weak var automaticallySaveDraftsSwitch: UISwitch!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        automaticallySaveDraftsSwitch.setOn(Preferences.shared.automaticallySaveDrafts, animated: false)
    }

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        defaultPostVisibilityLabel.text = Preferences.shared.defaultPostVisibility.displayName
    }
    
    @IBAction func automaticallySaveDraftsChanged(_ sender: Any) {
        Preferences.shared.automaticallySaveDrafts = automaticallySaveDraftsSwitch.isOn
    }
    
}
